Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::LifespanPolicy Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::LifespanPolicy:

[legend]
Collaboration diagram for PortableServer::LifespanPolicy:

[legend]
List of all members.

## Public Types
typedef LifespanPolicy_ptr | _ptr_type
typedef LifespanPolicy_var | _var_type
## Public Methods
virtual::PortableServer::LifespanPolicyValue | value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
LifespanPolicy_ptr | _duplicate (LifespanPolicy_ptr obj)
LifespanPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
LifespanPolicy_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| LifespanPolicy (void)
virtual | ~LifespanPolicy (void)
## Private Methods
| LifespanPolicy (const LifespanPolicy &)
void | operator= (const LifespanPolicy &)

## Member Typedef Documentation

typedef LifespanPolicy_ptr PortableServer::LifespanPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef LifespanPolicy_var PortableServer::LifespanPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::LifespanPolicy::LifespanPolicy | ( | void |  | ) | `[protected]`

PortableServer::LifespanPolicy::~LifespanPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::LifespanPolicy::LifespanPolicy | ( | const LifespanPolicy & |  | ) | `[private]`

## Member Function Documentation

PortableServer::LifespanPolicy_ptr PortableServer::LifespanPolicy::_duplicate | ( | LifespanPolicy_ptr | obj | ) | `[static]`

const char * PortableServer::LifespanPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

virtual CORBA::Boolean PortableServer::LifespanPolicy::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

LifespanPolicy_ptr PortableServer::LifespanPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

LifespanPolicy_ptr PortableServer::LifespanPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

void PortableServer::LifespanPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean PortableServer::LifespanPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

void PortableServer::LifespanPolicy::operator= | ( | const LifespanPolicy & |  | ) | `[private]`

virtual ::PortableServer::LifespanPolicyValue PortableServer::LifespanPolicy::value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Lifespan_Policy.

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp